package CHAPTER10;
//import javax.swing.JDialog;
//import javax.swing.JFrame;
//
//public class MasterDialog extends JDialog {
//    public MasterDialog() {
//        setTitle("컨테이터 JDialog");
//        setSize(300, 200);
//        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
//        setLocationRelativeTo(null); // 부모 창 중앙에 표시
//        setVisible(true); 
//    }
//
//    public static void main(String[] args) {
//    	MasterDialog dialog = new MasterDialog();        
//    }
//}
import javax.swing.JDialog;


public class C10_02_MasterDialog extends JDialog {
    public C10_02_MasterDialog() {
        setTitle("컨테이너 JDialog");
        setSize(300, 200);
        setLocationRelativeTo(null); // 화면 중앙에 표시

        // 닫기 버튼 누르면 다이얼로그만 닫힘
        setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE); 

        setVisible(true);
    }

    public static void main(String[] args) {
    	C10_02_MasterDialog dialog = new C10_02_MasterDialog();
    }
}